<?php
class ConfigurationManager extends ManagerParent { 
public $x_232 = ''; 
protected $x_233 = array( 
'exportId' => array( 
'result' => 'out', 
'id' => 'out', 
'options' => 'array' 
), 
'importId' => array( 
'id' => 'out' 
), 
'getUploadStatus' => array( 
'result' => 'out', 
'status' => 'out', 
'importedInterfaces' => 'out', 
'currentInterfaces' => 'out', 
'id' => 'string' 
), 
'apply' => array( 
'interfaces' => 'array', 
'id' => 'string' 
), 
'reset' => array( 
) 
); 
public function exportId(&$x_232, &$x_23n, $x_23u) { 
$x_235 = kerio('webadmin::ConfigurationManager'); 
if ($x_235) { 
return $x_235->exportId(&$x_232, &$x_23n, $x_23u); 
} 
return false; 
} 
public function importId(&$x_23n) { 
$x_235 = kerio('webadmin::ConfigurationManager'); 
if ($x_235) { 
return $x_235->importId(&$x_23n); 
} 
return 'Bad manager'; 
} 
public function getUploadStatus(&$x_232, &$x_238, &$x_23v, &$x_23w, $x_23n) { 
$x_235 = kerio('webadmin::ConfigurationManager'); 
if ($x_235) { 
return $x_235->getUploadStatus(&$x_232, &$x_238, &$x_23v, &$x_23w, $x_23n); 
} 
return false; 
} 
public function apply($x_23x, $x_23n) { 
$x_235 = kerio('webadmin::ConfigurationManager'); 
if ($x_235) { 
return $x_235->apply($x_23x, $x_23n); 
} 
return false; 
} 
public function reset() { 
$x_235 = kerio('webadmin::ConfigurationManager'); 
if ($x_235) { 
return $x_235->reset(); 
} 
return false; 
} 
}; 
?>
